[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.Draw

Renders an image to the specified canvas using a drawing style or effect.

## Declaration

Source position: imglist.pp line 356

`public procedure TCustomImageList.Draw(`
`ACanvas: TCanvas;`
`AX: Integer;`
`AY: Integer;`
`AIndex: Integer;`
`AEnabled: Boolean = True`
`); overload; procedure TCustomImageList.Draw(`
`ACanvas: TCanvas;`
`AX: Integer;`
`AY: Integer;`
`AIndex: Integer;`
`ADrawEffect: TGraphicsDrawEffect`
`); overload; procedure TCustomImageList.Draw(`
`ACanvas: TCanvas;`
`AX: Integer;`
`AY: Integer;`
`AIndex: Integer;`
`ADrawingStyle: TDrawingStyle;`
`AImageType: TImageType;`
`AEnabled: Boolean = True`
`); overload; procedure TCustomImageList.Draw(`
`ACanvas: TCanvas;`
`AX: Integer;`
`AY: Integer;`
`AIndex: Integer;`
`ADrawingStyle: TDrawingStyle;`
`AImageType: TImageType;`
`ADrawEffect: TGraphicsDrawEffect`
`); overload;`

## Arguments

`ACanvas` |  | Canvas used for the draw operation.
`AX` |  | Horizontal offset on the canvas for the image.
`AY` |  | Vertical offset on the canvas for the image.
`AIndex` |  | Position in the list for the image drawn to the canvas.
`AEnabled` |  | If False, the image is drawn disabled (dithered).

## Arguments

`ACanvas` |  | Canvas used for the draw operation.
`AX` |  | Horizontal offset on the canvas for the image.
`AY` |  | Vertical offset on the canvas for the image.
`AIndex` |  | Position in the list for the image drawn to the canvas.
`ADrawEffect` |  | Drawing effect applied to the rendered image.

## Arguments

`ACanvas` |  | Canvas used for the draw operation.
`AX` |  | Horizontal offset on the canvas for the image.
`AY` |  | Vertical offset on the canvas for the image.
`AIndex` |  | Position in the list for the image drawn to the canvas.
`ADrawingStyle` |  | Drawing style applied to the rendered image.
`AImageType` |  | Indicates if the image contains a mask or source data.
`AEnabled` |  | If False, the image is drawn disabled (dithered).

## Arguments

`ACanvas` |  | Canvas used for the draw operation.
`AX` |  | Horizontal offset on the canvas for the image.
`AY` |  | Vertical offset on the canvas for the image.
`AIndex` |  | Position in the list for the image drawn to the canvas.
`ADrawingStyle` |  | Drawing style applied to the rendered image.
`AImageType` |  | Indicates if the image contains a mask or source data.
`ADrawEffect` |  | Drawing effect applied to the rendered image.

## Description

Draw is an overloaded method used to render an image to the specified canvas. Draw uses the default resolution (as in indicated by the Width property) as the image size rendered in the method. Overloaded variants allow the use of a drawing effect or drawing style for the rendered image.

ACanvas contains the TCanvas instance used to render the requested image.

AX and AY contain Integer values representing the horizontal and vertical offsets from the canvas origin where the image is drawn.

AIndex contains the ordinal position for the requested image in the image list. No actions are performed in the method when AIndex contains a value that is an invalid position for images in the image list.

AEnabled indicates if the image is drawn in the enabled state. When AEnabled is False, the gdeDisabled drawing effect is used to render the image to the canvas.

ADrawEffect is a value from the TGraphicsDrawEffect enumeration that indicates the drawing effect applied to the raw image data, and stored in the bitmap. Values in AEffect determine whether the image is rendered normally, as a disabled (or grayed) image, highlighted, shadowed, or as a monochrome bitmap mask.

ADrawingStyle contains a value from the TDrawingStyle enumeration that indicates the image list drawing style used for the rendered image. ADrawingStyle determines how the image is blended with its background color when a mask is used in the image. It has no significance when a mask is not present in the image.

AImageType contains a value from the TImageType enumeration, and indicates whether the image uses a mask.

Draw calls GetResolution to retrieve the default resolution for the image list using the value in the Width property. The Draw method in the TCustomImageListResolution instance is called to render the image using the parameters specified in the method as arguments.

## See also

TCustomImageList.Width |  | Width of images in the default resolution for the image list.
TCustomImageList.GetResolution |  | Gets the value for the indexed Resolution property.
TCustomImageListResolution.Draw |  | Renders an image to the specified canvas.